#### PyKDE - Python Bindings for KDE

# class KSycoca

Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KSycoca
Inherits | QObject, DCOPObject

### methods

- KSycoca (a0)

  returns a KSycoca instance

  Argument | Type | Default
  --- | --- | ---
  a0 | bool |

- KSycoca ()

  returns a KSycoca instance

- addFactory (a0)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  a0 | KSycocaFactory |

- allResourceDirs ()

  returns (QStringList)
  In versions KDE 3.2.0 and above only

- checkVersion (abortOnError = 1)

  returns (bool)

  Argument | Type | Default
  --- | --- | ---
  abortOnError | bool | 1

- closeDatabase ()

  returns nothing

- databaseChanged ()

  returns nothing

- determineRelativePath (_fullpath, _resource)

  returns (QString)
  static

  Argument | Type | Default
  --- | --- | ---
  _fullpath | QString |
  _resource | char |

- disableAutoRebuild ()

  returns nothing
  In versions KDE 3.1.2 and above only

- findEntry (offset)

  returns (QDataStream) type (KSycocaType)

  Argument | Type | Default
  --- | --- | ---
  offset | int |

- findFactory (id)

  returns (QDataStream)

  Argument | Type | Default
  --- | --- | ---
  id | KSycocaFactoryId |

- flagError ()

  returns nothing
  In versions KDE 3.1.0 and above only
  static

- functions ()

  returns (QCStringList)
  In versions KDE 3.1.4 and above only

- interfaces ()

  returns (QCStringList)
  In versions KDE 3.1.4 and above only

- isBuilding ()

  returns (bool)

- isChanged (type)

  returns (bool)
  static

  Argument | Type | Default
  --- | --- | ---
  type | char |

- kfsstnd_prefixes ()

  returns (QString)

- language ()

  returns (QString)

- notifyDatabaseChanged (a0)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  a0 | QStringList |

- openDatabase (openDummyIfNotFound = 1)

  returns (bool)

  Argument | Type | Default
  --- | --- | ---
  openDummyIfNotFound | bool | 1

- process (fun, data, replyType, replyData)

  returns (bool)
  In versions KDE 3.1.4 and above only

  Argument | Type | Default
  --- | --- | ---
  fun | QCString |
  data | QByteArray |
  replyType | QCString |
  replyData | QByteArray |

- readError ()

  returns (bool)
  In versions KDE 3.1.0 and above only
  static

- self ()

  returns (KSycoca)
  static

- timeStamp ()

  returns (ulong)

- updateSignature ()

  returns (ulong)

- version ()

  returns (int)
  In versions KDE 3.2.0 and above only
  static

### variables

- variables

  Variable | Type
  --- | ---
  _self | KSycoca*